BuildRequires: libsgutils-devel
%define oldname ledmon
Summary: Enclosure LED Utilities
Name: ledmon-enclosure
Version: 0.75
Release: alt1_2
License: GPLv2+
Group: System/Kernel and hardware
URL: http://sourceforge.net/projects/ledmon/
Source0: http://download.sourceforge.net/%{oldname}/%{oldname}-%{version}.tar.gz
Patch0: ledmon_cflags.patch
BuildRequires: perl
BuildRequires: libsgutils-devel
Obsoletes: ledctl = 0.1-1
Provides: ledctl = %{version}-%{release}
Requires: libsgutils
Source44: import.info
Patch33: ledmon-0.74-alt-as-needed.patch

%description
The ledmon and ledctl are user space applications design to control LED
associated with each slot in an enclosure or a drive bay. There are two
types of system: 2-LED system (Activity LED, Status LED) and 3-LED system
(Activity LED, Locate LED, Fail LED). User must have root privileges to
use this application.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1 -b .cflags
%patch33 -p1

%build
# can't use smp_flags because -j4 makes the build fail
make CFLAGS="$RPM_OPT_FLAGS --std=c99"

%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT SBIN_DIR=$RPM_BUILD_ROOT/%{_sbindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}

%files
%doc README COPYING
%{_sbindir}/ledctl
%{_sbindir}/ledmon
%{_mandir}/*/*

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.75-alt1_2
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.75-alt1_1
- update to new release by fcimport

* Wed Nov 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_3
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_2
- fc import

* Mon Oct 15 2012 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_1
- fc import

